#!/bin/sh
SmbHash="Crypt-SmbHash-0.02"
MD4="Digest-MD4-1.1"

PATH=/sbin:/bin:/usr/sbin:/usr/bin

if [ -r "${SmbHash}.tar.gz" -a -r "${MD4}.tar.gz" ] ; then
	echo "*----------------------------------------------*"
	echo "  This Script will make & install"
	echo "  ${SmbHash} & ${MD4} "
	echo "*----------------------------------------------*"
	echo ""
	read -p "Starting to install ${SmbHash}... ? (Y/N) [Y] " ans
	case ${ans} in
		[Nn])
			echo "Skip..."
		;;
		*)
			tar zxvf ${SmbHash}.tar.gz
			cd ${SmbHash}
		        perl Makefile.PL
		        make
			make install
		        cd ..
			rm -R ${SmbHash}
			echo ""
			echo "${SmbHash} ok"
	esac
	echo ""
	read -p "Starting to install ${MD4}... ? (Y/N) [Y] " ans
	case ${ans} in
		[Nn])
			echo "Skip..."
		;;
		*)
			tar zxvf ${MD4}.tar.gz
			cd ${MD4}
		        perl Makefile.PL
		        make
			make install
		        cd ..
			rm -R ${MD4}
			echo ""
			echo "${MD4} ok ";
	esac
	echo ""
	echo "Bye !!";
	echo ""
else
	echo "Can't find ${SmbHash}.tar.gz or ${MD4}.tar.gz !!"
fi
